Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

performing upgrade from 2.3.0.0 to 2.4.0.0 cannot proceeded through ambari

Solved Go to solution

performing upgrade from 2.3.0.0 to 2.4.0.0 cannot proceeded through ambari

New Contributor

I have upgraded successful from ambari 2.1. to 2.2.2.0 and registered HDP 2.4.0.0 with a local repository. I had the bug, that the successful registered version was not displayed in "Versions" Tab in ambari After edit the ambari Database I was able to install the version 2.4.0.0 to all hosts.

Now, when I click on "Perform Upgrade", I get the window where I can choose between "Rolling Upgrade" and "Express Upgrade", but no matter what I click, the "Proceed" Button ist grayed out.

Has anyone a suggestion what to do?

thanks and regards

Matthias

1 ACCEPTED SOLUTION

Accepted Solutions

Re: performing upgrade from 2.3.0.0 to 2.4.0.0 cannot proceeded through ambari

Rising Star

Hi @Matthias Rueling

I can see a similar question asked here : https://community.hortonworks.com/questions/17201/registered-version-hdp-2340-is-not-listed.html. It looks like Alessio Ubaldi faced the exact same issue and the comment says "I rebooted my sandbox vm. After that the wizard worked fine. Tks".

You may not have to restart your VM. I think restarting ambari-server/ambari-agents should help. Can you try that?

7 REPLIES 7
Highlighted

Re: performing upgrade from 2.3.0.0 to 2.4.0.0 cannot proceeded through ambari

Contributor

@Matthias Rueling

  1. Can you paste the screenshot of Javascript console window when you click on "Perform Upgrade"? This can be enabled in Chrome browser - View - Developer - Developer Tools - Network tab. It would show the API call (generally the upgrade pre-check call, I think) that is getting invoked and errors if any, depending on its return code
  2. The other entries to check would be in /var/log/ambari-server/ambari-server.log on Ambari host.

Based on the above two, we can understand the issue and then decide next action

-Vivek

Re: performing upgrade from 2.3.0.0 to 2.4.0.0 cannot proceeded through ambari

@Matthias Rueling

Can you check if you see any error in ambari-server log file?

Did you tried restarting ambari -server?

Re: performing upgrade from 2.3.0.0 to 2.4.0.0 cannot proceeded through ambari

Mentor

did you satisfy all of the prerequisites like HA for Namenode, optionally HA for resource manager, only then will it prompt you to select either Express or Rolling upgrade.

Re: performing upgrade from 2.3.0.0 to 2.4.0.0 cannot proceeded through ambari

New Contributor

Thank you all for your responses!

@Artem Evits yes, I checked Namenode HA. I also stopped the active Namenode and it switched the secondary Namenode to active. And there are no Alarms in the Ambari Dashboard

@Sagar Shimpi I see no upgrade related error in the log. Nothing is logged, when I click on "Perform Upgrade"

@vsharma

I'm not sure, if you mean this

6371-screenshot1.png

But the result of this API Call Shows, that it tries to upgrade from 2.2.6 to 2.3.0?!? This is the upgrade I did some months ago

{
  "href" : "http://srv-hadtest-gw01.fm.db.de:8080/api/v1/clusters/hadtest/upgrades/103?fields=Upgrade&_=1470293691732",
  "Upgrade" : {
    "cluster_name" : "hadtest",
    "create_time" : 1440082089489,
    "direction" : "UPGRADE",
    "downgrade_allowed" : true,
    "end_time" : 1440419026938,
    "exclusive" : false,
    "from_version" : "2.2.6.0-2800",
    "pack" : "upgrade-2.3",
    "progress_percent" : 100.0,
    "request_context" : "Upgrading to 2.3.0.0-2557",
    "request_id" : 103,
    "request_status" : "COMPLETED",
    "skip_failures" : false,
    "skip_service_check_failures" : false,
    "start_time" : 1440082089890,
    "suspended" : false,
    "to_version" : "2.3.0.0-2557",
    "type" : "INTERNAL_REQUEST",
    "upgrade_type" : "ROLLING"
  }
}

Ambari shows Version 2.4.0.0

6372-screenshot2.png

the last entry is, what I added to the ambari database to get the Version 2.4.0.0 displayed in ambari Dashboard.

ambari=> select * from cluster_version;
 id  | repo_version_id | cluster_id |  state  |  start_time  |  end_time  | user_name
-----+-----------------+------------+-----------+---------------+---------------+-----
  1 |  1 |  2 | INSTALLED | 1438771088670 | 1438771088683 | _anonymous
  51 |  51 |  2 | CURRENT  | 1440078962067 | 1440419026925 | admin
 101 |  101 |  2 | INSTALLED | 1440078962067 | 1470228028448 | admin

Re: performing upgrade from 2.3.0.0 to 2.4.0.0 cannot proceeded through ambari

Rising Star

Hi @Matthias Rueling

I can see a similar question asked here : https://community.hortonworks.com/questions/17201/registered-version-hdp-2340-is-not-listed.html. It looks like Alessio Ubaldi faced the exact same issue and the comment says "I rebooted my sandbox vm. After that the wizard worked fine. Tks".

You may not have to restart your VM. I think restarting ambari-server/ambari-agents should help. Can you try that?

Re: performing upgrade from 2.3.0.0 to 2.4.0.0 cannot proceeded through ambari

New Contributor

Hi @sbhat

yes, you are right. but rebooting was not the solution. The solution was to change the "desired_stack_id" on the table "clusters" to the new stack_version.

I read this thread yesterday, but didn't recognize the marked solution :D

Re: performing upgrade from 2.3.0.0 to 2.4.0.0 cannot proceeded through ambari

New Contributor

I should have read more carefully

the solution was posted in this thread:
https://community.hortonworks.com/questions/17201/registered-version-hdp-2340-is-not-listed.html

thanks to all for thinking about this problem

regards Matthias